# Requirements(managed feeds)

### What Are the Requirements for Reporting?

To report data, you'll need to have a stake in the Fetch Oracle network. This ensures that you're incentivised to provide accurate information and are ready to begin earning rewards.

Before we dive into setting up automatic reporting with Telliot, let's break down Fetch's reporting requirements.

### How Much FETCH Must You Stake?

To ensure that the Fetch Oracle data is always secured by a minimum amount, the `stakeAmount` is a function of the price of FETCH, the stake amount dollar target, and the minimum stake amount.

This can be understood as:

`stakeAmount = maxUSD(stakeAmountDollarTarget, minStakeAmount)`

For PulseChain's mainnet, the `stakeAmount` is determined as follows:

`stakeAmount = maxUSD($500, 500,000 FETCH)`

{% hint style="success" %}
When the price of FETCH is **greater than $0.001**, the minimum staking requirement is always **500,000 FETCH**.
{% endhint %}

{% hint style="success" %}
When the price of FETCH is **less than $0.001**, the minimum staking requirement is **$500 USD worth of FETCH**.
{% endhint %}

The stake amount only changes when someone calls the function `updateStakeAmount` in the  `FetchFlex` contract. This can be called by *anyone*, and is dependent on the latest 12+ hour old reported price of FETCH.&#x20;

In the [Fetch Dashboard](https://testnet.fetchoracle.com/#/update-minimum-stake), the `updateStakeAmount` can easily be called as required.

### Understanding the Reporter Lock Period

Once data is submitted to the network by a reporter, the reporter is then locked from submitting again for a time period known as the `reporterLock` — which is usually 12 hours divided by the number of full stakes.&#x20;

Therefore, the amount of times a reporter can submit data to Fetch Oracle is determined by the following equation:

```
reporter_lock = 12 hours / number_of_stakes
```

{% hint style="info" %}
As an example: if the minimum stake amount is 10 FETCH and you have 120 FETCH staked, you can report every hour. But if that minimum amount were updated to 20 FETCH, you would only be able to report every two hours.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fetchoracle.com/reporting-data/requirements-managed-feeds.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
